export interface EnsureImport {
    defaultImport?: string;
    namedImports?: string[];
    importPath: string;
}
export interface ViteConfigUpdates {
    imports?: EnsureImport[];
    viteConfig?: Record<string, string>;
    vitePlugins?: string[];
    qwikViteConfig?: Record<string, string>;
}
export declare function updateViteConfig(sourceText: string, updates?: ViteConfigUpdates): string;
